Subject: bug#37421: [PATCH] gnu: node: Disable tests that fail with [email-masked].

From: Jelle Licht <[email-masked]>
Date: Tue, 17 Sep 2019 16:43:47 +0200

Tobias Geerinckx-Rice <[email-masked]> writes:

> Ludovic Courtès 写道：
>> Could we take a look at what these failures are about to see how 
>> bad
>> that might be?
>
> Jelle Licht 写道：
>> Interestingly enough, https://github.com/nodejs/node/issues/3881 
>> notes
>> issues with exactly these two tests. Perhaps there is a 
>> regressions in
>> our case?
>
> Thanks, and indeed!  That is _quite_ the coincidence…
>
> Unfortunately, I don't see any mention of a time-out in my logs & 
> the truncation of the backtrace
>
>   at Object.<anonymous> (…/test/parallel/test-crypto-dh.js:124:8)
>   at Module._compile (internal/modules/cjs/loader.js:701:30)
>   at Object.Module._extensions..js 
>   (internal/modules/cjs/loader.js:712:10)
>   at Module.load (internal/modules/cjs/loader.js:600:32)
>   at tryModuleLoad (internal/modules/cjs/loader.js:539:12)
>   at Function.Module._load (internal/modules/cjs/loader.js:531:3)
>   at Function.Module.runMain 
>   (internal/modules/cjs/loader.js:754:12)
>   at startup (internal/bootstrap/node.js:283:19)
>   at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)
>   ...
>
> happens at run time: grepping the output of ‘--keep’ doesn't 
> reveal a more complete one :-(
>
> I don't know how to hack the tests to spit out more.  Someone who 
> knows node/js more than I do needs to step in and save us.  Is 
> that you, Jelle? :-)

I believe in learning by doing, so I'll have a go at it somewhere early
next week :-).

For now, I think it makes sense to push this patch so we can have a
(hopefully) working and secure ungoogled-chromium.

> Kind regards,
> T G-R